CREATE OR REPLACE FUNCTION "BellItalia".Trasferimento_gestore(IN trasferito numeric, IN hotell character varying(32), IN mansionee character varying(32), IN sostituto numeric)
RETURNS VOID AS 
 
$$
BEGIN
	IF (SELECT "hotel"
	FROM "BellItalia"."personale"
	WHERE "codp" = sostituto) <> (SELECT "hotel"
					FROM "BellItalia"."personale"
					WHERE "codp" = trasferito)
	THEN RAISE NOTICE 'Il nuovo sostituto non lavora nello stesso hotel del trasferito!!';
	
    ELSE 
	UPDATE "BellItalia"."hotel"
	SET "gestore" = sostituto
	WHERE "gestore" = trasferito;

	UPDATE "BellItalia"."personale"
	SET "hotel" = hotell
	WHERE "personale"."codp" = trasferito;

	UPDATE "BellItalia"."personale"
	SET "mansione" = mansionee
	WHERE "personale"."codp" = trasferito;
END IF;

END; $$ 

LANGUAGE plpgsql;

SELECT *
FROM "BellItalia".Trasferimento_gestore(7,'genova@bellitalia.it','cuoca', 8);

SELECT *
FROM "BellItalia"."personale";