CREATE OR REPLACE FUNCTION "BellItalia".Pensionamento_referente(IN pensionando numeric, IN sostituto numeric)
RETURNS VOID AS 
 
$$
BEGIN

	--controlla se non lavorano in stesso posto
    IF (SELECT "hotel"
	FROM "BellItalia"."personale"
	WHERE "codp" = sostituto) <> (SELECT "hotel"
					FROM "BellItalia"."personale"
					WHERE "codp" = pensionando)
	THEN RAISE NOTICE 'Il nuovo sostituto non lavora nello stesso hotel del pensionando!!';
	
    ELSE 
	UPDATE "BellItalia"."piani"
	SET "referente" = sostituto
	WHERE "referente" = pensionando;

	DELETE FROM "BellItalia"."personale"
	WHERE "personale"."codp" = pensionando;
END IF;

END; $$ 

LANGUAGE plpgsql;

SELECT *
FROM "BellItalia".Pensionamento_referente(5,6);

SELECT *
FROM "BellItalia"."personale";